package gag.xtp;

/**
 * <BR><!--#include file="./source.inc"--><BR>
 */
final public class Taplot {
  float min, max;

  public Taplot(float min, float max) {
    this.min = min;
    this.max = max;
  }

  final public byte[] toBytes(float[][] vals) {
    float scale = 255/(max-min);
    byte[] bytes = new byte[vals.length * vals[0].length];
    for (  int j = 0; j < vals   .length; j++) { int step = j * vals[0].length;
      for (int i = 0; i < vals[0].length; i++) {
	int v = (int) ((vals[j][i] - min) * scale);
	if (v>255) v=255; else if (v<0) v=0; 
	bytes[i + step] = (byte) v;
    }}
    return bytes;
  }

  public static void main(String[] args) {
    for (int i = 0; i < 1000; i += 20)
      System.out.println(i + "=" + ((byte) i));
  }
}
