package gag.xtp;

import java.awt.*;
import java.awt.image.ImageProducer;

/**
 * <BR><!--#include file="./source.inc"--><BR>
 */
public class ResultFrame extends Frame {
  Component result;

  public ResultFrame( Component result) {
    this.result = result;
    addComponents();
  }

  public ResultFrame( String title, Component result) {
    super( title);
    this.result = result;
    addComponents();
  }

  void addComponents() {
    MenuBar menu = new MenuBar();
    Menu    m    = new Menu( "File");
    m.add( new MenuItem( "Close"));
    menu.add( m);
    setMenuBar( menu);
    this.setLayout( new FlowLayout());
    //    this.add( "North", new Button("Useless"));
    this.add(result);
  }

  public boolean handleEvent( Event e) {
    boolean done = false;
    if (e.id == Event.WINDOW_DESTROY) {
      done = true;
    }
    if ((e.id == Event.ACTION_EVENT) && (e.target instanceof MenuItem)) {
      if (((MenuItem) e.target).getLabel().equals("Close")) {
	done = true;
      }
    }
    if (done == true) {
      this.hide();
      return true;
    }
    return false;
  }
}
