package gag.xtp;

import java.awt.*;
import java.awt.image.ImageProducer;
import rsf.vector.*;

/**
 * <BR><!--#include file="./source.inc"--><BR>
 */
public class RsfCanvas extends ImageCanvas {
  float lo, hi;
  Rsf   rsf;

  public RsfCanvas(Rsf rsf, int width, int height,
		   float clipLo, float clipHi) {
    super(width, height);
    lo = clipLo;
    hi = clipHi;
    this.rsf = rsf;
    // next did not work despite cast in RsfImageProducer. Dunno?!
    setImageProducer(new RsfImageProducer((Rsf2) rsf, width, height, lo, hi)
		     .getImageProducer());
  }
}
