package gag.xtpF;

import java.awt.*;
import java.awt.image.ImageProducer;

import rsfF.vector.*;

/**
 * <BR><!--#include file="./source.inc"--><BR>
 */
public class RsfCanvas extends ImageCanvas {
  float lo, hi;
  Rsf   rsf;

  public RsfCanvas( Rsf rsf, int width, int height,
		    float clipLo, float clipHi) {
    super( width, height);
    lo = clipLo;
    hi = clipHi;
    this.rsf = rsf;
    setImageProducer( new RsfImageProducer( rsf, width, height, lo, hi)
		      .getImageProducer());
  }
}
