package gag.xtpF;

/**
 * <BR><!--#include file="./source.inc"--><BR>
 */
final public class Taplot {
  float min, max;

  public Taplot( float min, float max) {
    this.min = min;
    this.max = max;
  }

  final public byte[] toBytes( float[] vals) {
    float scale = 255/(max-min);
    byte[] bytes = new byte[vals.length];
    for (int i = 0; i < vals.length; i++) {
      int v = (int) ((vals[i] - min) * scale);
      if (v>255) v=255; else if (v<0) v=0;
      bytes[i] = (byte) v;
    }
    return bytes;
  }

  public static void main( String[] args) {
    for (int i = 0; i < 1000; i += 20)
      System.out.println( i + "=" + ((byte) i));
  }
}
