package gag.xtpF;

import java.awt.*;
import java.io.IOException;
import java.io.DataInputStream;

/**
 * <BR><!--#include file="./source.inc"--><BR>
 */
public class Xtp extends Frame {
  public static void main(String args[]) {
    Xtp xtp = new Xtp();
    xtp.resize(200,200);
    xtp.show();
  }

  public Xtp() { this(new Executor()); }
  public Xtp(Executor executor) {
    super("Xtpanel");
    setLayout(new FlowLayout());
    add(new Button("View"));
    add(new Button("Burn"));
    add(new Button("Build"));
    add(new Button("Clean"));
    add(new Button("Quit"));
    this.executor = executor;
  }
    
  public boolean action(Event e, Object arg) {
    if (arg.equals("Quit")) {
      dispose();
      if (! (getParent() instanceof java.applet.Applet))
	System.exit(0);
      return true;
    }
    if (arg.equals("Burn" )) { executor.burn();  return true; }
    if (arg.equals("Build")) { executor.build(); return true; }
    if (arg.equals("View" )) { executor.view();  return true; }
    if (arg.equals("Clean")) { executor.clean(); return true; }
    System.out.println("Unknown action argument: " + arg);
    return true;
  }

  protected Executor executor;
}


